Bug 1251620 - BUG: unable to handle kernel paging request at 000000580101046c
BUG: unable to handle kernel paging request at 000000580101046c
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 19:18 EDT by James
Modified: 2015-12-02 13:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:51:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with BUG and subsequent collapse (231.49 KB, text/plain)
2015-08-07 19:18 EDT, James
no flags Details
fix for known issue (1.64 KB, application/mbox)
2015-08-07 19:38 EDT, Laura Abbott
no flags Details

  None (edit)
Description James 2015-08-07 19:18:54 EDT
Created attachment 1060517 [details]
dmesg with BUG and subsequent collapse

Description of problem:
Oops, then panic. Started with:
BUG: unable to handle kernel paging request at 000000580101046c

Hardware believed to be in good standing.

Version-Release number of selected component (if applicable):
kernel-4.1.3-100.fc21.x86_64

Never seen any panics with the 4.0 series.

How reproducible:
Unknown

Additional info:
I had been using a Bluetooth mouse, but it was switched off at the time of the failure. (There are similar reports of crashes like this pointing to Bluetooth mice.) Have observed other problems starting around when 4.1 kernel installed (e.g. unreliable laptop lid switch).

dmesg attached.
Comment 1 Laura Abbott 2015-08-07 19:38:54 EDT
Created attachment 1060521 [details]
fix for known issue

Can you try the attached patch? This fixes a known issue in HID which can cause corruption.
Comment 2 James 2015-08-08 13:53:47 EDT
Patch applied and under test. Since the reported bug happened after about 13 hours of runtime (walltime unknown, there were a few suspend/resume cycles in there) it'll be a few days before I report anything further.
Comment 3 James 2015-08-15 13:19:38 EDT
uptime with patched kernel:

 18:18:13 up 7 days, 32 min,  4 users,  load average: 1.16, 1.37, 0.99

using a Bluetooth mouse and a number of suspend/resume cycles. Nothing nasty in the logs, I think we can consider this patch a goodun.

Is it in any Koji build?
Comment 4 Josh Boyer 2015-08-16 08:29:50 EDT
Yes, it's in the 4.1.5 update currently in updates-testing.
Comment 5 Fedora End Of Life 2015-11-04 10:56:05 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-12-02 09:51:31 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.